Orxonox: OIS::Win32Mouse Class Reference

# OIS::Win32Mouse Class Reference

`#include <src/ois/win32/Win32Mouse.h>`

Inheritance diagram for OIS::Win32Mouse:

List of all members.

## Public Member Functions

virtual void | _initialize ()
virtual void | capture ()
virtual Interface * | queryInterface (Interface::IType type)
virtual void | setBuffered (bool buffered)
| Win32Mouse (InputManager *creator, IDirectInput8 *pDI, bool buffered, DWORD coopSettings)
virtual | ~Win32Mouse ()

## Protected Member Functions

bool | _doMouseClick (int mouseButton, DIDEVICEOBJECTDATA &di)

## Protected Attributes

DWORD | coopSetting
IDirectInput8 * | mDirectInput
HWND | mHwnd
IDirectInputDevice8 * | mMouse

## Constructor & Destructor Documentation

Win32Mouse::Win32Mouse | ( | InputManager * | creator,
|  | IDirectInput8 * | pDI,
|  | bool | buffered,
|  | DWORD | coopSettings |
| ) |  |  |

References coopSetting, OIS::Object::mCreator, mDirectInput, mHwnd, and mMouse.

Win32Mouse::~Win32Mouse | ( |  | ) | `[virtual]`

References OIS::Object::mCreator, and mMouse.

## Member Function Documentation

bool Win32Mouse::_doMouseClick | ( | int | mouseButton,
|  | DIDEVICEOBJECTDATA & | di |
| ) |  |  | `[protected]`

References OIS::MouseState::buttons, OIS::Object::mBuffered, OIS::Mouse::mListener, OIS::MouseListener::mousePressed(), OIS::MouseListener::mouseReleased(), and OIS::Mouse::mState.

Referenced by capture().

void Win32Mouse::_initialize | ( |  | ) | `[virtual]`

Remarks:
  Internal... Do not call this directly.

Implements OIS::Object.

References OIS::MouseState::clear(), coopSetting, OIS::E_General, OIS::Object::mCreator, mDirectInput, mHwnd, mMouse, MOUSE_DX_BUFFERSIZE, OIS::Mouse::mState, and OIS_EXCEPT.

void Win32Mouse::capture | ( |  | ) | `[virtual]`

Remarks:
  Used for updating call once per frame before checking state or to update events

Implements OIS::Object.

References _doMouseClick(), OIS::Axis::abs, coopSetting, OIS::MouseState::height, OIS::Object::mBuffered, mHwnd, OIS::Mouse::mListener, mMouse, MOUSE_DX_BUFFERSIZE, OIS::MouseListener::mouseMoved(), OIS::Mouse::mState, OIS::Axis::rel, OIS::MouseState::width, OIS::MouseState::X, OIS::MouseState::Y, and OIS::MouseState::Z.

virtual Interface* OIS::Win32Mouse::queryInterface | ( | Interface::IType | type | ) | `[inline, virtual]`

Remarks:
  If available, get an interface to write to some devices. Examples include, turning on and off LEDs, ForceFeedback, etc

Parameters:

  | type | The type of interface you are looking for

Implements OIS::Object.

void Win32Mouse::setBuffered | ( | bool | buffered | ) | `[virtual]`

Remarks:
  Sets buffered mode

Implements OIS::Object.

References OIS::Object::mBuffered.

## Member Data Documentation

DWORD OIS::Win32Mouse::coopSetting`[protected]`

Referenced by _initialize(), capture(), and Win32Mouse().

IDirectInput8* OIS::Win32Mouse::mDirectInput`[protected]`

Referenced by _initialize(), and Win32Mouse().

HWND OIS::Win32Mouse::mHwnd`[protected]`

Referenced by _initialize(), capture(), and Win32Mouse().

IDirectInputDevice8* OIS::Win32Mouse::mMouse`[protected]`

Referenced by _initialize(), capture(), Win32Mouse(), and ~Win32Mouse().

The documentation for this class was generated from the following files:

- src/ois/win32/Win32Mouse.h
- src/ois/win32/Win32Mouse.cpp